#ifndef PARSER_H
# define PARSER_H

typedef union {
	char		qchar;
	char		*text;
	long		number;
	double		real;
	argDef		memArg;
	signatureDef	signature;
	signatureDef	*optsignature;
	throwArgs	*throwlist;
	codeBlock	*codeb;
	valueDef	value;
	valueDef	*valp;
	optFlags	optflags;
	optFlag		flag;
	scopedNameDef	*scpvalp;
	fcallDef	fcall;
	int		boolean;
} YYSTYPE;
# define	TK_DOC	257
# define	TK_EXPORTEDDOC	258
# define	TK_MAKEFILE	259
# define	TK_ACCESSCODE	260
# define	TK_POSTINITCODE	261
# define	TK_MODCODE	262
# define	TK_TYPECODE	263
# define	TK_PREPYCODE	264
# define	TK_COPYING	265
# define	TK_MAPPEDTYPE	266
# define	TK_CODEBLOCK	267
# define	TK_IF	268
# define	TK_END	269
# define	TK_NAME	270
# define	TK_PATHNAME	271
# define	TK_STRING	272
# define	TK_VIRTUALCATCHERCODE	273
# define	TK_METHODCODE	274
# define	TK_FROMTYPE	275
# define	TK_TOTYPE	276
# define	TK_TOSUBCLASS	277
# define	TK_INCLUDE	278
# define	TK_OPTINCLUDE	279
# define	TK_IMPORT	280
# define	TK_MODHEADERCODE	281
# define	TK_TYPEHEADERCODE	282
# define	TK_MODULE	283
# define	TK_CMODULE	284
# define	TK_CLASS	285
# define	TK_STRUCT	286
# define	TK_PUBLIC	287
# define	TK_PROTECTED	288
# define	TK_PRIVATE	289
# define	TK_SIGNALS	290
# define	TK_SLOTS	291
# define	TK_BOOL	292
# define	TK_SHORT	293
# define	TK_INT	294
# define	TK_LONG	295
# define	TK_FLOAT	296
# define	TK_DOUBLE	297
# define	TK_CHAR	298
# define	TK_VOID	299
# define	TK_PYOBJECT	300
# define	TK_PYTUPLE	301
# define	TK_PYLIST	302
# define	TK_PYDICT	303
# define	TK_PYCALLABLE	304
# define	TK_PYSLICE	305
# define	TK_VIRTUAL	306
# define	TK_ENUM	307
# define	TK_UNSIGNED	308
# define	TK_SCOPE	309
# define	TK_LOGICAL_OR	310
# define	TK_CONST	311
# define	TK_STATIC	312
# define	TK_SIPSIGNAL	313
# define	TK_SIPSLOT	314
# define	TK_SIPRXCON	315
# define	TK_SIPRXDIS	316
# define	TK_SIPSLOTCON	317
# define	TK_SIPSLOTDIS	318
# define	TK_NUMBER	319
# define	TK_REAL	320
# define	TK_TYPEDEF	321
# define	TK_NAMESPACE	322
# define	TK_TIMELINE	323
# define	TK_PLATFORMS	324
# define	TK_FEATURE	325
# define	TK_LICENSE	326
# define	TK_QCHAR	327
# define	TK_TRUE	328
# define	TK_FALSE	329
# define	TK_OPERATOR	330
# define	TK_THROW	331
# define	TK_QOBJECT	332


extern YYSTYPE yylval;

#endif /* not PARSER_H */
